# include "Command.h"
# include "SMTPSession.h"
# include "SMTPServer.h"
# include "Log.h"

namespace mail {
   
   int SMTPCommand::processCommand(std::string request, core::TCPSession *session, std::stringstream &data) {
      coreutils::PString parser(request);
      parser.split(" "); 
      return processCommand(parser, (SMTPSession &)*session, (SMTPServer &)session->server, data);	 
   }

}

